<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node50.html" />
<link rel="prev" href="node48.html" />
<link rel="parent" href="node47.html" />
<link rel="next" href="node50.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>15.2 BSD issues</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="15.1 GNU/Linux issues"
  href="node48.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="15 platform and operating"
  href="node47.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="15.3 macosx issues"
  href="node50.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node48.html">15.1 GNU/Linux issues</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node47.html">15 Platform and operating</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node50.html">15.3 MacOSX issues</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h2><a name="SECTION0011520000000000000000"></a><a name="bsd-issues"></a>
<br>
15.2 BSD issues
</h2>

<p>
Vivek Khera writes that some BSDs do nightly security scans for setuid file
changes.  setgid directories also come up on the scan when they change.  Also,
the setgid bit is not necessary on BSD systems because group ownership is
automatically inherited on files created in directories.  On other <span class="Unix">Unix</span>es,
this only happens when the directory has the setgid bit turned on.

<p>
To install without turning on the setgid bit on directories, simply pass in
the <var>DIRSETGID</var> variable to <b class="program">make</b>, after you've run
<b class="program">configure</b>:

<p>
<div class="verbatim"><pre>
    % make DIRSETGID=: install
</pre></div>

<p>
This disables the <b class="program">chmod g+s</b> command on installed directories.

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="15.1 GNU/Linux issues"
  href="node48.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="15 platform and operating"
  href="node47.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="15.3 macosx issues"
  href="node50.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node48.html">15.1 GNU/Linux issues</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node47.html">15 Platform and operating</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node50.html">15.3 MacOSX issues</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
